# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.706.4.2 -> 1.706.4.3
#	  drivers/char/mem.c	1.20    -> 1.21   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/03	bjorn_helgaas@hp.com	1.706.1.3
# Merge hp.com:/home/helgaas/bk/to-marcelo-2.4
# into hp.com:/home/helgaas/bk/linux-ia64-2.4
# --------------------------------------------
# 02/10/03	bjorn_helgaas@hp.com	1.706.1.4
# Merge hp.com:/home/helgaas/bk/ia64-extras
# into hp.com:/home/helgaas/bk/linux-ia64-2.4
# --------------------------------------------
# 02/10/03	marcelo@freak.distro.conectiva	1.717.3.1
# Merge master.kernel.org:/home/davem/BK/net-2.4
# into freak.distro.conectiva:/home/marcelo/bk/linux-2.4
# --------------------------------------------
# 02/10/03	bunk@fs.tum.de	1.717.3.2
# [PATCH] add "If unsure, say N" to CONFIG_X86_TSC_DISABLE
# 
# the patch below does:
#  - add a "If unsure, say N" to CONFIG_X86_TSC_DISABLE
#  - fix two typos
# --------------------------------------------
# 02/10/03	bunk@fs.tum.de	1.717.3.3
# [PATCH] Configure.help entry for the e100 driver (fwd)
# 
# Hi Marcelo,
# 
# a month ago J.A. Magallon sent Configure.help entries for both the e100
# and the e1000 drivers. The e1000 entry is already in 2.4.20-pre6 but it
# seems the e100 entry got lost somewhere. Below is a patch to add it.
# 
# Please apply
# Adrian
# --------------------------------------------
# 02/10/03	rth@twiddle.net	1.717.3.4
# [PATCH] alpha strncpy fix
# 
# Ported across from a nearly identical fix to the glibc tree.  Under
# some conditions we'd read one too many source words and segfault.
# 
# Applies without fuzz to both the 2.4 and 2.5 trees.
# 
# 
# r~
# 
# 
# 
# ===== stxncpy.S 1.1 vs edited =====
# *** linux.orig/arch/alpha/lib/stxncpy.S-1.1-16064	Tue Feb  5 09:40:22 2002
# --------------------------------------------
# 02/10/03	marcelo@freak.distro.conectiva	1.717.3.5
#   Changed EXTRAVERSION to -pre9
# --------------------------------------------
# 02/10/04	jgarzik@mandrakesoft.com	1.732
# Merge mandrakesoft.com:/home/jgarzik/repo/marcelo-2.4
# into mandrakesoft.com:/home/jgarzik/repo/net-drivers-2.4
# --------------------------------------------
# 02/10/04	paulus@samba.org	1.717.3.6
# Merge samba.org:/home/paulus/kernel/linux-2.4
# into samba.org:/home/paulus/kernel/for-marcelo-ppc
# --------------------------------------------
# 02/10/04	jfs.adm@hostme.bitkeeper.com	1.717.1.2
# Merge bk://linux.bkbits.net/linux-2.4
# into hostme.bitkeeper.com:/ua/repos/j/jfs/linux-2.4
# --------------------------------------------
# 02/10/04	bjorn_helgaas@hp.com	1.706.4.3
# Remove noncached mapping of O_SYNC files to avoid memory attribute
# aliasing issues on IA64.
# --------------------------------------------
#
diff -Nru a/drivers/char/mem.c b/drivers/char/mem.c
--- a/drivers/char/mem.c	Wed Oct  8 09:07:50 2003
+++ b/drivers/char/mem.c	Wed Oct  8 09:07:50 2003
@@ -196,7 +196,11 @@
 	 * through a file pointer that was marked O_SYNC will be
 	 * done non-cached.
 	 */
+#ifdef __ia64__
+	if (noncached_address(offset))
+#else
 	if (noncached_address(offset) || (file->f_flags & O_SYNC))
+#endif
 		vma->vm_page_prot = pgprot_noncached(vma->vm_page_prot);
 
 	/* Don't try to swap out physical pages.. */
